DB_ENV->rep_get_nsites()
Prev | Chapter 10. Replication Methods | Next

## DB_ENV->rep_get_nsites()

    #include <db.h>

    int
    DB_ENV->rep_get_nsites(DB_ENV *env, u_int32_t *nsitesp);

The `DB_ENV->rep_get_nsites()` method returns the total number of sites in the replication group. This value is configurable using the DB_ENV->rep_set_nsites() method.

The `DB_ENV->rep_get_nsites()` method may be called at any time during the life of the application.

The `DB_ENV->rep_get_nsites()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### nsitesp

The `DB_ENV->rep_get_nsites()` method returns the total number of sites in the replication group in nsitesp.

### Class

DB_ENV

### See Also

Replication and Related Methods, DB_ENV->rep_set_nsites()

Prev | Up | Next
DB_ENV->rep_get_limit() | Home | DB_ENV->rep_get_priority()